Bug 625591 - virsh pool-create does not create /etc/libvirt/storage
virsh pool-create does not create /etc/libvirt/storage
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 17:49 EDT by Edgar Hoch
Modified: 2011-06-10 13:48 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 13:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2010-08-19 17:49:41 EDT
Description of problem:

When I use "virsh pool-create XMLFILE" where XMLFILE is a file previously created by "virsh pool-dumpxml poolname" and pool "poolname" does not exist (for example, after reinstallation of fedora), then this command does not create /etc/libvirt/storage/poolname.xml .
A later command like "virsh pool-autostart poolname" shows an error:
"internal error pool has no config file".

When I use "virsh pool-define XMLFILE" then the config file is created.

In the man page "virsh pool-create XMLFILE" should do the same as "virsh pool-define XMLFILE" followed by a "virsh pool-start poolname".


Version-Release number of selected component (if applicable):
libvirt-client-0.8.2-1.fc13.x86_64

How reproducible:
Allways.

Steps to Reproduce:
1. Create a libvirt storage pool if none exists, for example by virt-manager.
2. Create an xml description of the storage pool using
   virsh pool-dumpxml poolname > XMLFILE
3. Remove the storage pool from the management of libvirt:
   virsh pool-destroy poolname
   Or use a new installed fedora system.
4. Recreate the storage pool:
   virsh pool-create XMLFILE

  
Actual results:
/etc/libvirt/storage and /etc/libvirt/storage/poolname.xml are not created.

Expected results:
/etc/libvirt/storage and /etc/libvirt/storage/poolname.xml should exist.
Comment 1 Edgar Hoch 2010-08-20 14:29:48 EDT
The commands "virsh create XMLFILE" versus "virsh define XLMFILE" followed by "virsh start DOMAIN" have the same error as above for pools:
The first does not create the file /etc/libvirt/qemu/DOMAIN.xml, the second does.

I think, both should do the same.
Comment 2 Bug Zapper 2011-06-01 07:05:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2011-06-10 13:48:23 EDT
This is intentional behavior. all 'create' operations make transient objects, meaning when they are shut down libvirt forgets about them. part of this behavior is that no persistent XML config is written to disk.

Note You need to log in before you can comment on or make changes to this bug.